*{
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
}
ul li{
    list-style: none;
}
body {
    animation: fadeInAnimation ease 2s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/* Homepage */
.header{
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(4,9,30,0.7),rgba(4,9,30,0.7)),url(images/Home\ banner.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
}
nav{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}
nav img{
    width: 150px;
}
.nav-links{
    flex: 1;
    text-align: right;
}
.nav-links ul li{
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}
.nav-links ul li a{
    color: white;
    text-decoration: none;
    font-size: 13px;
}
.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: #516373;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after{
    width: 100%;
}
.text-box{
    width: 90%;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
}
.text-box h1{
    font-size: 62px;
}
.text-box p{
    margin: 10px 0 40px;
    font-size: 14px;
    color: white;
}
.hero-btn{
    display: inline-block;
    text-decoration: none;
    color: white;
    border: 1px solid white;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    position: relative;
    cursor: pointer;
}
.hero-btn:hover{
    border: 1px solid #516373;
    background: #516373;
    transition: 1s;
}
.phone-button{
    display: none;
}
nav .bi{
    display: none;
}
@media(max-width: 780px){
    .text-box h1{
        font-size: 22px;
    }
    .nav-links ul li{
        display: block;
    }
    .nav-links{
        position: fixed;
        background: #516373;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        transition: 1s;
    }
    nav .bi{
        display: block;
        color: white;
        margin: 10px; 
        font-size: 22px;
        cursor: pointer;
    }
    .nav-links ul{
        padding: 30px;
    }
    .phone-button{
        width: 25%;
        margin: auto;
        text-align: center;
        text-align: 50px;
        position: relative;
        display: block;
    }
}
.services{
    width: 80%;
    margin: auto;
    text-align: center;
    text-align: 50px;
    padding-top: 100px;
}
.ser-col{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}
.ser-col img{
    width: 100%;
    display: block;
}
.layer{
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}
.layer:hover{
    background: rgba(81,99,115,0.7);
}
.layer h3{
    width: 100%;
    font-weight: 500;
    color: white;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.layer:hover h3{
    bottom: 46%;
    opacity: 1;
}
.locations{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
h1{
    font-size: 36px;
    font-weight: 600;
}
p{
    color: #777;
    font-size: 14px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}
.row, .first-test-row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}
.loc-col{
    flex-basis: 31%;
    background: #e6edf2;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}
h3{
    text-align: center;
    font-weight: 600;
    margin: 10px 0;
}
.loc-col:hover{
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.2);
}
.gallery{
    width: 80%;
    margin: auto;
    text-align: center;
    text-align: 50px;
    padding-top: 100px;
}
.gal-col{
    flex-basis: 49%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}
.gal-col img{
    width: 100%;
    display: block;
}
.gal-col h3{
    width: 100%;
    font-weight: 500;
    color: white;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.testimonials{
    width: 80%;
    margin: auto;
    padding-top: 100px;
    text-align: center;
}
.test-row{
    display: flex;
    justify-content: space-between;
}
.test-col{
    flex-basis: 31%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
    background: #e6edf2;
    padding: 25px;
    cursor: pointer;
    display: flex;
    box-sizing: border-box;
    transition: 0.5s;
}
.test-col p{
    padding: 0;
}
.test-col h3{
    margin-top: 15px;
    text-align: left;
}
.test-col .bi{
    color: goldenrod;
}
.test-col:hover{
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.2);
}
@media(max-width: 780px){ 
    .row, .test-row, .first-test-row{
        flex-direction: column;
    }
    .testimonials{
        padding-bottom: 50px;
    }
}

/* Services */
.sub-header{
    height: 50vh;
    width: 100%;
    background-image: linear-gradient(rgba(4,9,30,0.7),rgba(4,9,30,0.7)),url(images/banner.jpg);
    background-position: center;
    background-size: cover;
    text-align: center;
    color: white;
}
.sub-header h1{
    margin-top: 50px;
}
.services-page{
    width: 80%;
    margin: auto;
    padding-top: 80px;
    padding-bottom: 50px;
    text-align: center;
}
.ser-page-col{
    flex-basis: 48%;
    padding: 30px 2px;
    text-align: left;
}
.ser-page-col img{
    width: 100%;
    border-radius: 10px;
}
.ser-page-col h1{
    padding: 0;
}
.ser-page-col p{
    padding: 25px 15px 0;
    font-size: 17px;
}
.blue-btn{
    border: 1px solid #516373;
    background: transparent;
    color: #516373;
}
.blue-btn:hover{
    color: white;
}
.blue-text{
    color: #516373;
}
.bi-x-diamond-fill{
    padding-right: 15px;
}
@media(max-width: 780px){ 
    .hide-mobile{
        display: none;
    }
}
@media(min-width: 781px){ 
    .hide-web{
        display: none;
    }
}

/* Locations */
.location-content{
    width: 80%;
    margin: auto;
}
.loc-left{
    flex-basis: 65%;
}
.loc-left iframe{
    width: 100%;
}
.loc-right{
    flex-basis: 32%;
    display: flex;
}
.loc-right p{
    font-size: 15px;
}
.loc-minicol{
    flex-basis: 50%;
}
.comment-box{
    padding: 40px 0 50px;
    text-align: center;
}
.comment-box h3{
    padding-bottom: 10px;
    font-size: 19px;
}
@media(max-width: 780px){ 
    .loc-right{
        padding-top: 60px;
    }
    .comment-box{
        margin: 40px 0px;
    }
}

/* Gallery */
.gallery-page{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 40px;
}
.gallery-col{
    flex-basis: 31%;
    border-radius: 10px;
    box-sizing: border-box;
}
.gallery-col img{
    transition: 0.7s;
    width: 100%;
    padding-bottom: 10%;
}
.gallery-col img:hover{
    transform: scale(1.05);
}

/* About Us */
.aboutus{
    width: 80%;
    margin: auto;
    padding-bottom: 50px;
}
.about-col{
    flex-basis: 48%;
}
.about-col img{
    width: 100%;
    border-radius: 10px;
}
.about-col h1{
    padding: 0;
}
.about-col p{
    padding: 15px 0 25px;
    font-size: 17px;
}

/* Contact Us */
.contactus{
    margin: auto;
    display: flex; 
    flex-direction: row; 
    align-items: center; 
    justify-content: center;
}
.con-col{
    margin-bottom: 30px;
}
.con-col div{
    display: flex;
    align-items: center;
    margin-bottom: 40px;
}
.con-col div .bi{
    font-size: 28px;
    margin: 10px;
    margin-right: 30px;
}
.con-col div p{
    padding: 0;
}
.con-col div h5{
    font-size: 20px;
    margin-bottom: 5px;
    color: #555;
    font-weight: 400;
}
@media(max-width: 780px){ 
    .con-col div, .about-col{
        margin-top: 40px;
    }
}

/* Footer */
.footer{
    width: 100%;
    text-align: center;
    padding-top: 30px;
    padding-bottom: 15px;
    background-color: #21303d;
}
.footer img{
    width: 250px;
}
.footer p img{
    width: 150px;
}
.footer p{
    color: #f2f2f2;
}
.socials{
    padding: 10px;
}
.socials .bi{
    color: #f2f2f2;
    margin: 0 13px;
    cursor: pointer;
    padding: 18px 0;
    padding-bottom: 10px;
}
.footer-contact{
    color: #f2f2f2;
    padding: 18px 0;
    padding-bottom: 10px;
}
.copyright{
    font-size: 11px;
}